<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    app:startDestination="@id/categoryFragment">

    <fragment
        android:id="@+id/categoryFragment"
        android:name="com.example.feature_drinks.view.CategoryFragment"
        android:label="fragment_category"
        tools:layout="@layout/fragment_category" >
        <action
            android:id="@+id/action_categoryFragment_to_drinksFragment"
            app:destination="@id/drinksFragment" />
    </fragment>
    <fragment
        android:id="@+id/drinksFragment"
        android:name="com.example.feature_drinks.view.DrinksFragment"
        android:label="fragment_drinks"
        tools:layout="@layout/fragment_drinks" >
        <argument
            android:name="category"
            app:argType="string" />
        <action
            android:id="@+id/action_drinksFragment_to_drinkDetailFragment"
            app:destination="@id/drinkDetailFragment" />
    </fragment>
    <fragment
        android:id="@+id/drinkDetailFragment"
        android:name="com.example.feature_drinks.view.DrinkDetailFragment"
        android:label="fragment_drink_detail"
        tools:layout="@layout/fragment_drink_detail" >
        <argument
            android:name="drinkId"
            app:argType="string" />
    </fragment>
</navigation>